> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/android/standalone-modules/cafsmartauth/release-notes.md).

# Release Notes

## 7.19.0

### Release date

* 08/14/2026

### Updates

* Bumped `compileSdk` and `targetSdk` to API level 36 (Android 16).

## 7.15.0

### Release date

* 07/20/2026

### Update:

**Fingerprint SDK Upgrade**: The underlying FingerprintJS Pro SDK has been updated from version 2.7.0 to 2.15.0

## 7.14.0

### Release date

* 05/25/2026

### Fixes

**Face Liveness:**  a liveness issue that caused an infinite loading screen when an initialization error occurred.

Smart Auth: CalledFromWrongThreadException

## 7.9.1

### Release date

* 05/25/2026

### Fix:

* Smart Auth: CalledFromWrongThreadException

## 1.6.0

{% hint style="warning" %}
Versions earlier than 1.6.0 will result iProov Liveness to become inoperable as of March 12, 2026. To ensure proper functionality and service continuity, please use version 1.6.0 or later.
{% endhint %}

* Upgraded Caf SDK BOM to version 7.8.0
* Updated iProov Liveness Provider

### Release date

* 02/09/2026

## 1.5.0

* Upgraded Caf SDK BOM to version 7.7.0
* Improvements to metrics collection and analytics.

### Release date

* 02/02/2026

## 1.4.8

* Upgraded Caf SDK BOM to version 7.6.0
* Fixed Fingerprint conflicts with AdBlockers or public DNS.

### Release date

* 01/28/2026

## 1.4.7

* Upgraded Caf SDK BOM to version 7.5.9
* Fixed Fingerprint integration.

### Release date

* 01/12/2026

## 1.4.6

* Fixed compatibility issue when using Smart Auth alongside Document Detector and Face Liveness libraries, where clients reported exceptions when updating the libraries.
* Improved emulator detection
* Updated Face Liveness (iProov) to version 10.2 to help resolve this issue.

### Release date

* 10/20/2025

## 1.4.5

* Upgraded Caf SDK BOM to version 6.5.8

### Release date

* 09/25/2025

## 1.4.4

* Upgraded Caf SDK BOM to version 6.5.6

## 1.4.3

* Fixed NoSuchMethodError during analytics initialization
* Upgraded Caf SDK BOM to version 6.5.4

## 1.4.2

* Added support for 16kb page sizes.
* Fixed Smart Auth crash issue.

## 1.4.1

* Fix to improve SDK analytics instance initialization.

## 1.3.1

* Fix to prevent and avoid parallel execution of SDK instances.

## 1.3.0

* Analytics and Crashlytics improviments.

## 1.2.3

* Fixed crash when network is not working.

## 1.2.2

* Fixed integration with fingerprint

## v1.2.0

* Implementation of a new analytics route.

## v1.1.0

#### Updates

* Improved analytics
* Added new [CafThemeConfigurator](/caf-sdk/android/standalone-modules/cafsmartauth/builder.md#cafthemeconfigurator) method
* Returning the `AttemptId` parameters on the SDK callback

## v1.0.0-beta1

First beta release of the new product, designed to offer improved functionality over the previous *FaceLiveness* while remaining true to its core use case.

#### Key Features and Improvements

* **Smart Authentication**: The new product is designed to offer a more robust and reliable authentication solution.
* **Configurable Settings**: The new product includes configurable settings for what kind of authentication policy will be required (SMS, email, etc).
* **Face Matching**: The new product includes face matching capabilities.
* **Liveness Detection**: The new product includes liveness detection capabilities.

#### Known Issues

* As this is a **beta** release, we are actively working to resolve a few minor issues.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/android/standalone-modules/cafsmartauth/release-notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
